<template>
  <div class="home">
      <div v-if="code==501">
          <h1>你的公司还在审核,请耐心等待!</h1>
      </div>
      <div v-if="code==502">
          <h1>对不起,你没有通过审核!</h1>
          <div class="sty">{{msg}}</div>
          <button class=" nextButton" @click="changeInfo">修改注册信息</button>
      </div>
      <div v-if="code==503">
          <h1>抱歉,你的公司已被禁用，请联系管理员!</h1>
      </div>
  </div>
</template>

<script>
import Cookies from 'js-cookie'
export default {
    mounted(){
        /* 判断来自于登录的code信息 */
        let status = Cookies.get("code")
        this.code = status
        let message = Cookies.get("message")
        this.msg = message
        Cookies.remove("code"),
        Cookies.remove("message")
    },
    data(){
        return{
            code:'',
            msg:""
        }
    },
    methods:{
        //点击修改返回之前页面
        changeInfo(){
            Cookies.set("auditStatus",1)
            this.$router.push("/login/examine")
        }
    }
}
</script>

<style scoped>
.nextButton {
  width: 3rem;
  height: 0.48rem;
  background: rgba(4, 134, 254, 1);
  border-radius: 0.04rem;
  line-height: 0.46rem;
  margin-top: 0.45rem;
  margin-bottom: 0.8rem;
  color: #fff;
  cursor: pointer;
  margin-right:-150px;
  position: absolute;
  left:42%
}
.home{
    width:100%;
    height:200px;
}
h1{
    text-align: center;
    margin-top:100px
}
.sty{
    text-align: center;
    margin-top:30px
}
.Button {
  width: 2rem;
  height: 0.48rem;
  background: rgba(4, 134, 254, 1);
  border-radius: 0.04rem;
  line-height: 0.46rem;
  position: absolute;
  left:45%;
  margin-top: 0.45rem;
  margin-bottom: 0.8rem;
  color: #fff;
  cursor: pointer;
    position: relative;
    left:50%
}

</style>